summaryrefslogtreecommitdiffstats
path: root/inc/env.inc.sh
diff options
context:
space:
mode:
Diffstat (limited to 'inc/env.inc.sh')
-rw-r--r--inc/env.inc.sh14
1 files changed, 12 insertions, 2 deletions
diff --git a/inc/env.inc.sh b/inc/env.inc.sh
index fed5fea..bab613c 100644
--- a/inc/env.inc.sh
+++ b/inc/env.inc.sh
@@ -1,2 +1,12 @@
-buildrootpath=$(slxsettings |grep public-path | sed -e "s,^.*='\(.*\)'$,\1,")
-buildrootpath="$buildrootpath/buildroot"
+slxsettings=$(slxsettings 2>/dev/null )
+if [ $? -eq 0 ]; then
+ buildrootpath=$(slxsettings |grep public-path | sed -e "s,^.*='\(.*\)'$,\1,")
+ buildrootpath="$buildrootpath/buildroot"
+else
+ buildrootpath="/tmp/buildroot"
+fi
+
+SCRIPT=$(readlink -f $0)
+SCRIPTPATH=`dirname $SCRIPT`
+
+BROOT_BASE_DIR=$SCRIPTPATH